Subject: Re: bug#33780: network-stream.el: network-stream-certificate always returns nil

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Jan 2019 18:45:13 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 14 Jan 2019 17:25:55 +0100
> 
> When running the test suite, weʼre in batch mode, so thereʼs no way to
> answer that question, as far as I know, so turning off the nsm is the
> only way to go.

You could also override the nsm-query-user function, I think.

> This only fails for the existing tests with ':nowait t', since then I
> suspect nsm gets called automatically, whilst in the ':nowait nil'
> case nsm never gets called (the existing tests all use
> 'make-network-process' directly, rather than 'open-network-stream', so
> they bypass nsm).

I don't think I understood why nsm gets called only in the ":nowait t"
case.  What did I miss?